# Type alias AsObject

AsObject: {
ackError: string;
acknowledged: boolean;
arrived: boolean;
attachmentsList: Attachment.AsObject[];
date: number;
isSystemMessage: boolean;
message: string;
sendMessageError: string;
senderIsTrader: boolean;
senderNodeAddress?: NodeAddress.AsObject;
storedInMailbox: boolean;
tradeId: string;
traderId: number;
type: SupportType;
uid: string;
wasDisplayed: boolean;
}

#### Type declaration

- ##### ackError: string

- ##### acknowledged: boolean

- ##### arrived: boolean

- ##### attachmentsList: Attachment.AsObject[]

- ##### date: number

- ##### isSystemMessage: boolean

- ##### message: string

- ##### sendMessageError: string

- ##### senderIsTrader: boolean

- ##### `Optional` senderNodeAddress?: NodeAddress.AsObject

- ##### storedInMailbox: boolean

- ##### tradeId: string

- ##### traderId: number

- ##### type: SupportType

- ##### uid: string

- ##### wasDisplayed: boolean

- Defined in src/protobuf/pb_pb.d.ts:1643

Generated using TypeDoc